package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaProduct;
import com.ruoyi.oa.domain.vo.OaProductVo;
import com.ruoyi.oa.domain.bo.OaProductBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * CRM 产品Service接口
 *
 * @author ruoyi
 * @date 2025-03-12
 */
public interface IOaProductService {

    /**
     * 查询CRM 产品
     */
    OaProductVo queryById(Long productId);

    /**
     * 查询CRM 产品列表
     */
    TableDataInfo<OaProductVo> queryPageList(OaProductBo bo, PageQuery pageQuery);

    /**
     * 查询CRM 产品列表
     */
    List<OaProductVo> queryList(OaProductBo bo);

    /**
     * 新增CRM 产品
     */
    Boolean insertByBo(OaProductBo bo);

    /**
     * 修改CRM 产品
     */
    Boolean updateByBo(OaProductBo bo);

    /**
     * 校验并批量删除CRM 产品信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
